<div class="abilityList-block">
    {{log "subitem-ability-block.hbs, this---->" this}}

    <section>
        <div class="item-list">
            {{#each config.classSubItemTypes as |type index|}}
                <div>
                    <div class="item-titles">
                        <div class="flexrow item-header">
                            <div class="item-image"></div>
                            <span>{{localize (concat "ARS.class.subitemtypes." type) }}</span>
                            <div class="item-controls">
                                <a class="item-control item-create" data-tooltip="Create item" data-type="{{type}}"><i
                                        class="fas fa-plus"></i></a>
                            </div>
                        </div>
                    </div>
                    <div class="item flexrow general-subheader">
                        <div class="short-field" style="font-size: 1.01em;" data-tooltip="Level gained">
                            <i style="font-size:0.85em;color: black;" class="fas fa-check-circle"></i>
                        </div>
                        {{#includes type 'skill||proficiency'}}
                            <div class="short-field" style="font-size: 1.01em;"
                                data-tooltip="Non-Weapon or Weapon proficiency point cost when applied">
                                <i style="font-size:0.85em" class="fa-solid fa-coins"></i>
                            </div>
                        {{/includes}}
                        {{#if (eq type 'skill') }}
                            <div class="short-field" style="font-size: 1.01em;"
                                data-tooltip="Skill target value applied, if 0 not changed">
                                <i style="font-size:0.85em" class="fas fa-fist-raised"></i>
                            </div>
                        {{/if}}
                        <div class="item-image"></div>
                        <div class="item-name">Name</div>
                    </div>
                    {{#each ../system.itemList as |subitem index|}}
                        {{#if (eq subitem.type type) }}
                            <li style="{{#if @root.item.isOwned}}{{#if (and (eq @root.item.type 'class') (lt @root.item.classLevel subitem.level )) }}opacity:0.5{{/if}}{{/if}}"
                                class="item flexrow" data-type="level" data-uuid="{{subitem.uuid}}"
                                data-id="{{subitem.id}}" data-index="{{index}}">
                                <div class="short-field"><input class="class-subitem-level" type="number"
                                        value="{{subitem.level}}" data-type="level" data-dtype="Number" /></div>

                                {{#includes type 'skill||proficiency'}}
                                    <div class="short-field"><input class="class-subitem-cost" data-type="cost"
                                            type="number" value="{{subitem.cost}}" data-dtype="Number" /></div>
                                {{/includes}}
                                {{#if (eq type 'skill') }}
                                    <div class="short-field"><input class="class-subitem-skilltarget"
                                            data-type="skilltarget" type="number" value="{{subitem.skilltarget}}"
                                            data-dtype="Number" /></div>
                                {{/if}}
                                <div class="item-image"><img src="{{subitem.img}}" data-tooltip="{{subitem.name}}"
                                        width="24" height="24" />
                                </div>
                                <div
                                    class="text-trunc{{#if @root.item.isOwned}}{{#if (gte @root.item.classLevel subitem.level ) }}{{else}} ability-preview{{/if}}{{/if}}">
                                    {{subitem.name}}
                                </div>
                                <div class="item-controls">
                                    {{!-- {{#if (and (eq @root.item.type 'class') (lt @root.item.classLevel subitem.level )) }} --}}
                                    {{#if @root.isGM}}
                                        <a class="item-control item-edit" data-tooltip="Edit Item"><i
                                                class="fas fa-edit"></i></a>
                                        <a class="item-control item-delete" data-tooltip="Delete Item"><i
                                                class="fas fa-trash"></i></a>
                                    {{/if}}
                                </div>
                            </li>
                        {{/if}}
                    {{/each}}
                </div>
            {{/each}}
        </div>
    </section>
</div>